# File pick

A decision block that lets the user choose a file system path.

The fiber will pause until the user has chosen a path, cancelled the dialog or the timeout expired.

## Input arguments

- Content type — types of content to choose, default is any content.
- Writable — whether the selected path or file should be writable, i.e. that’s not read-only, default is no.
- Allow new — whether to allow input of a new, non-existing filename, default is no.
- File extension — only show files of a particular type, e.g. mp4, default is all files.
- Initial path — initial path, default is primary external storage.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Picked path — variable to assign the chosen path.